Summary: dump symbol names or the symbol table with Perl
Name:           perl-Devel-Symdump
Version:        2.08
Release: 1%{?_dist_release}

Group:          Development/Libraries
License:        GPL+ or Artistic
Url:            http://search.cpan.org/dist/Devel-Symdump/
Source0:        http://www.cpan.org/authors/id/A/AN/ANDK/Devel-Symdump-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
The perl module Devel::Symdump provides a convenient way to inspect
perl's symbol table and the class hierarchy within a running program.


%prep
%setup -q -n Devel-Symdump-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README
%{perl_vendorlib}/Devel/
%{_mandir}/man3/*.3pm*


%changelog
* Mon Mar 28 2011 IWAI, Masaharu <iwai@alib.jp> 2.08-1
- new upstream release
- add Vendor and Distribution tag

* Tue Jul 08 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.07-1
- new upstream release
- build on perl-5.10

* Sat Feb 17 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.03-0vl2
- changed Group to Development/Libraries

* Sat May 10 2003 IWAI Masaharu <iwai@alib.jp> 2.03-0vl1
- first build for Vine Linux
